BS11_CONFIG(1)

NAME
bs11_config - Configuration of BS-11 BTS via RS232

SYNOPSIS
bs11_config [options] [command]

DESCRIPTION
bs11_config is a small commandline program that can be used to configure the BS-11? BTS using its RS232 link.

It can perform a subset of the functions that are typically performed using the Siemens LMT (Local Maintenance Terminal) software, such as

    -   querying some essential configuration values

    -   creating and deleting TRX1 objects

    -   download of SAFETY LOAD software

    -   download of BTS software

    -   creating an initial configuration (such as creating BBSIG,CCLK,PA,... objects)

    -   setting the Tx output power of the RF amplifier

It is part of the OpenBSC base station controller software from Osmocom.

OPTIONS

-h,--help
    Print this help text

-p,--port </dev/ttyXXX>
    Specify serial port

-s,--software <file>
    Specify Software file

-S,--safety <file>
    Specify Safety Load file

-d,--delay <ms>
    Specify delay in milliseconds

-D,--disconnect
    Disconnect BTS from BSC

-w,--win-size <num>
    Specify Window Size

-f,--forced
    Force Software Load

SUPPORTED COMMANDS

query
    Query the BS-11 about serial number and configuration

disconnect
    Disconnect A-bis link (go into administrative state)

resconnect
    Reconnect A-bis link (go into normal state)

restart
    Restart the BTS

software
    Download Software (only in administrative state)

create-trx1
    Create objects for TRX1 (Danger: Your BS-11 might overheat)

delete-trx1
    Delete objects for TRX1

pll-e1-locked
    Set the PLL to be locked to E1 clock

pll-standalone
    Set the PLL to be in standalone mode

pll-setvalue <value>
    Set the PLL set value

pll-workvalue <value>
    Set the PLL work value

oml-tei
    Set OML E1 TS and TEI

bport0-star
    Set BPORT0 line config to star

bport0-multidrop
    Set BPORT0 line config to multidrop

bport1-multidrop
    Set BPORT1 line config to multidrop

create-bport1
    Create BPORT1 object

delete-bport1
    Delete BPORT1 object

SEE ALSO
isdnsync(1), osmo-bsc(1)

AUTHOR
This manual page was written by Ruben Undheim <ruben.undheim@gmail.com> for the Debian project (and may be used by others).